%define udev_bindir /lib/udev
%define udev_scriptdir %{udev_bindir}

Summary: Extra rules and tools for udev
Name: udev-extras
Version: 20090226
Release: 0.5.20090302git%{?dist}
# Source from http://git.kernel.org/?p=linux/hotplug/udev-extras.git
Source: udev-extras-20090226-git20090302.tar.bz2
License: GPLv2 and GPLv2+
Group: System Environment/Base

ExclusiveOS: Linux
URL: http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libudev0 >= 139
Requires: hwdata
BuildRequires: glib2-devel
BuildRequires: libusb-devel
BuildRequires: libxslt
BuildRequires: libudev-devel >= 139
BuildRequires: hwdata

%description
The udev-extras package contains an additional rules and tools
to create and identify devices.

%prep
%setup -q  

%build
%configure --with-selinux  --prefix=%{_prefix} --exec-prefix="" --sysconfdir=%{_sysconfdir} --with-libdir-name=%{_lib}  --sbindir="/sbin" 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Don't install modem prober for now; that's handled by NM at this time and
# in the future will be handled by ModemManager instead
rm -f $RPM_BUILD_ROOT%{udev_bindir}/modem-probe
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/modem-probe*.8*
rm -f $RPM_BUILD_ROOT%{udev_scriptdir}/rules.d/77-probe-modem-capabilities.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc COPYING TODO 
#%doc README ChangeLog
%attr(0755,root,root) %{udev_bindir}/modem-modeswitch
%attr(0755,root,root) %{udev_bindir}/pci-db
%attr(0755,root,root) %{udev_bindir}/usb-db
%attr(0644,root,root) %{udev_scriptdir}/rules.d/*.rules
%attr(0644,root,root) %{_mandir}/man8/modem-modeswitch*.8*

%changelog
* Mon Mar 3 2009 Lennart Poettering <lpoetter@redhat.com> 20090226-0.5.20090302git
- Update snapshot from git

* Fri Feb 27 2009 Harald Hoyer <harald@redhat.com> 20090226-0.5.20090227git
- add dependency for hwdata

* Fri Feb 27 2009 Harald Hoyer <harald@redhat.com> 20090226-0.4.20090227git
- version 20090226

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090125-0.4.20090129git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Dan Williams <dcbw@redhat.com> 20090125-0.3.20090129git
- Remove modem prober; handled elsewhere for now

* Mon Feb 16 2009 Dan Williams <dcbw@redhat.com> 20090125-0.2.20090129git
- Match udev requirement to distro's shipped udev

* Thu Jan 29 2009 Dan Williams <dcbw@redhat.com> 20090125-0.1.20090129git
- Compatibilty updates and fixes for modem prober

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.2.20090120git
- added BuildRequires
- README and ChangeLog left out for now (zero size)
- fixed License

* Tue Jan 20 2009 Harald Hoyer <harald@redhat.com> 20081230-0.1.20090120git
- initial version


